#ifndef QPARAMETERS_H
#define QPARAMETERS_H

#include <QObject>

template <class TYPE>
class QParameter : public QObject
{
  Q_OBJECT

public:
  QParameter();
  QParameter(TYPE tValue, TYPE tMinimum, TYPE tMaximum, TYPE tDefault);
  void getRange(TYPE& tMinimum, TYPE& tMaximum);
  TYPE getDefault();

public slots:
  void setValue(TYPE tValue);
 
signals:
  void valueChanged(TYPE tValue);

private:
  TYPE m_tValue;
  TYPE m_tDefault;
};

#endif