#pragma once;



#pragma once;

#include <QDialog>
#include <QSpinBox>

#include "QOpenCV.h"

class QCVImage;
class QColorimeterDlg : public QDialog, public CVProcessing
{
  Q_OBJECT
public:
  QColorimeterDlg();
  void addQCVImage(QCVImage* pQCVImage);

private slots:
  void SetMeanLab();
  void SetLab(int nL, int nA, int nB);

private:
  QSpinBox* m_pSpin_L;
  QSpinBox* m_pSpin_a;
  QSpinBox* m_pSpin_b;

  QCVImage* m_pQCVImage;
};
